## GESVideoSource GESVideoSource — Base Class for video sources |

## Types and Values

| GESVideoSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESVideoSource
                            ├── GESVideoUriSource
                            ├── GESImageSource
                            ├── GESMultiFileSource
                            ├── GESTitleSource
                            ╰── GESVideoTestSource

## Implemented Interfaces

GESVideoSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

### Children Properties:

You can use the following children properties through the ges_track_element_set_child_property and alike set of methods:

double | alpha | The desired alpha for the stream.
gint | posx | The desired x position for the stream.
gint | posy | The desired y position for the stream
guint | zorder | The desired z order for the stream
gint | width | The desired width for that source. Set to 0 if size is not mandatory, will be set to width of the current track.
gint | height | The desired height for that source. Set to 0 if size is not mandatory, will be set to height of the current track.
GstDeinterlaceModes | deinterlace-mode | Deinterlace Mode
GstDeinterlaceFields | deinterlace-fields | Fields to use for deinterlacing
GstDeinterlaceFieldLayout | deinterlace-tff | Deinterlace top field first

## Functions

## Types and Values

### GESVideoSource

    typedef struct _GESVideoSource GESVideoSource;

Base class for video sources